Skip to main content
GET
/
v1
/
picks
curl --location --request GET 'https://api.stateset.com/v1/picks' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "1",
}'

query MyPicks {
  picks {
    id
    number
    date_created
    bill_of_materials_number
    location
    pick_method
    site
    status
    work_order_number
    pick_line_items {
      id
      part_name
      part_number
      pick_number
      pick_plan
      quantity_picked
      quantity_to_pick
      status
        }
    }
}


var picks = await stateset.picks.list({
    id: "1"
});


pickss = stateset.picks.list({
    "id": "1"
})


picks = Stateset::Picks.list({
    "id": "1"
})


$picks = $stateset->picks->list([
    "id" => "1"
]);


picks, err := stateset.Picks.list("1")


Picks picks = stateset.picks.list({
    "id": "1"
});

{
    "id": "1",
    "number": "1",
    "date_created": "2021-01-01T00:00:00Z",
    "bill_of_materials_number": "1",
    "location": "1",
    "pick_method": "1",
    "site": "1",
    "status": "1",
    "work_order_number": "1",
    "pick_line_items": [
        {
            "id": "1",
            "part_name": "1",
            "part_number": "1",
            "pick_number": "1",
            "pick_plan": "1",
            "quantity_picked": "1",
            "quantity_to_pick": "1",
            "status": "1"
        }
    ]
}

Body

limit
string
required
This is the limit of the picks.
offset
string
required
This is the offset of the picks.
order_direction
string
required
This is the order direction of the picks.

Response

id
string
This is the unique identifier for the pick
number
string
This is the unique identifier for the pick
date_created
string
This is the unique identifier for the pick
bill_of_materials_number
string
This is the unique identifier for the pick
location
string
This is the unique identifier for the pick
pick_method
string
This is the unique identifier for the pick
site
string
This is the unique identifier for the pick
status
string
This is the unique identifier for the pick
work_order_number
string
This is the unique identifier for the pick
pick_line_items
string
This is the unique identifier for the pick
curl --location --request GET 'https://api.stateset.com/v1/picks' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "1",
}'

query MyPicks {
  picks {
    id
    number
    date_created
    bill_of_materials_number
    location
    pick_method
    site
    status
    work_order_number
    pick_line_items {
      id
      part_name
      part_number
      pick_number
      pick_plan
      quantity_picked
      quantity_to_pick
      status
        }
    }
}


var picks = await stateset.picks.list({
    id: "1"
});


pickss = stateset.picks.list({
    "id": "1"
})


picks = Stateset::Picks.list({
    "id": "1"
})


$picks = $stateset->picks->list([
    "id" => "1"
]);


picks, err := stateset.Picks.list("1")


Picks picks = stateset.picks.list({
    "id": "1"
});

{
    "id": "1",
    "number": "1",
    "date_created": "2021-01-01T00:00:00Z",
    "bill_of_materials_number": "1",
    "location": "1",
    "pick_method": "1",
    "site": "1",
    "status": "1",
    "work_order_number": "1",
    "pick_line_items": [
        {
            "id": "1",
            "part_name": "1",
            "part_number": "1",
            "pick_number": "1",
            "pick_plan": "1",
            "quantity_picked": "1",
            "quantity_to_pick": "1",
            "status": "1"
        }
    ]
}

Picks